Bug 1474022 - GNOME shell crashes in st/st-bin.c:186, st_bin_dispose() assertion failed: (priv->child == NULL)
Summary: GNOME shell crashes in st/st-bin.c:186, st_bin_dispose() assertion failed: (p...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 26
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-07-23 07:54 UTC by Georg Sauthoff
Modified: 2018-05-29 12:04 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 12:04:36 UTC


Attachments (Terms of Use)
GNOME shell crash backtrace with debugging symbols (9.06 KB, text/plain)
2017-07-23 07:54 UTC, Georg Sauthoff
no flags Details

Description Georg Sauthoff 2017-07-23 07:54:35 UTC
Created attachment 1303026 [details]
GNOME shell crash backtrace with debugging symbols

Description of problem:
GNOME shell crashes because of a failed assertion after unlocking the screen.


Version-Release number of selected component (if applicable):
gnome-shell-3.24.2-1.fc26.x86_64

How reproducible:
from time to time, after unlocking the lockscreen


Steps to Reproduce:
1. suspend laptop
2. resume
3. unlock the screen

Actual results:
#0  0x00007f48f0db466b in __GI_raise (sig=sig@entry=6) at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007f48f0db6470 in __GI_abort () at abort.c:89
#2  0x00007f48f298a70d in g_assertion_message (domain=domain@entry=0x7f48fb26419f "St", file=file@entry=0x7f48fb26443b "st/st-bin.c", line=line@entry=186, func=func@entry=0x7f48fb2645c8 <__func__.68682> "st_bin_dispose", message=message@entry=0x55d9efdacff0 "assertion failed: (priv->child == NULL)") at gtestutils.c:2433
#3  0x00007f48f298a79a in g_assertion_message_expr (domain=domain@entry=0x7f48fb26419f "St", file=file@entry=0x7f48fb26443b "st/st-bin.c", line=line@entry=186, func=func@entry=0x7f48fb2645c8 <__func__.68682> "st_bin_dispose", expr=expr@entry=0x7f48fb264427 "priv->child == NULL") at gtestutils.c:2456
#4  0x00007f48fb229dac in st_bin_dispose (gobject=0x55d9efcf7d10 [StButton]) at st/st-bin.c:186
#5  0x00007f48f2c4286c in g_object_run_dispose (object=0x55d9efcf7d10 [StButton]) at gobject.c:1084
#6  0x00007f48f63f21b6 in clutter_actor_destroy () at /usr/lib64/mutter/libmutter-clutter-0.so
#7  0x00007f48efa2dbde in ffi_call_unix64 () at ../src/x86/unix64.S:76
#8  0x00007f48efa2d54f in ffi_call (cif=cif@entry=0x55d9eb4a9cd8, fn=<optimized out>, rvalue=<optimized out>, rvalue@entry=0x7ffc99733388, avalue=avalue@entry=0x7ffc99733270) at ../src/x86/ffi64.c:525
#9  0x00007f48fa11f70c in gjs_invoke_c_function(JSContext*, Function*, JS::HandleObject, JS::HandleValueArray const&, mozilla::Maybe<JS::MutableHandle<JS::Value> >&, GIArgument*) (context=context@entry=0x55d9e9abc800, function=function@entry=0x55d9eb4a9cc0, obj=obj@entry=..., args=..., js_rval=..., r_value=r_value@entry=0x0) at gi/function.cpp:1021
[..]
#24 0x00007f48f2c57b0f in <emit signal ??? on instance 0x55d9ec4f1b50 [ShellTrayIcon]> (instance=<optimized out>, signal_id=<optimized out>, detail=<optimized out>) at gsignal.c:3447
    #21 0x00007f48f2c3c30d in g_closure_invoke (closure=0x55d9ef2b5030, return_value=0x0, n_param_values=1, param_values=0x7ffc99734c50, invocation_hint=0x7ffc99734bd0) at gclosure.c:804
    #22 0x00007f48f2c4e98e in signal_emit_unlocked_R (node=node@entry=0x55d9e99ba5b0, detail=detail@entry=0, instance=instance@entry=0x55d9ec4f1b50, emission_return=emission_return@entry=0x0, instance_and_params=instance_and_params@entry=0x7ffc99734c50) at gsignal.c:3635
    #23 0x00007f48f2c571a5 in g_signal_emit_valist (instance=0x55d9ec4f1b50, signal_id=<optimized out>, detail=0, var_args=var_args@entry=0x7ffc99734e20) at gsignal.c:3391
#25 0x00007f48f63fe43c in clutter_actor_dispose () at /usr/lib64/mutter/libmutter-clutter-0.so
#26 0x00007f48fb218703 in shell_gtk_embed_dispose (object=<optimized out>) at shell-gtk-embed.c:329
#27 0x00007f48f2c4286c in g_object_run_dispose (object=0x55d9ec4f1b50 [ShellTrayIcon]) at gobject.c:1084
[..]

Complete backtrace is attached.

Expected results:
no crash

Additional info:
Similar issue for older Fedora version issue: Bug 1332015

At the time of the crash the 'TopIcons Plus' GNOME shell extension was enabled.

Comment 1 Georg Sauthoff 2017-07-29 12:02:37 UTC
GNOME Shell just crashed again at that location.

Things that are different this time:

- 'TopIcons Plus' extension disabled and instead 'TopIcons' enabled
- gnome shell is now at gnome-shell-3.24.3-1.fc26.x86_64
- backtrace is much shorter and looks incomplete/corrupted


The backtace:

(gdb) bt
#0  0x00007f58381b566b in __GI_raise (sig=sig@entry=6)
    at ../sysdeps/unix/sysv/linux/raise.c:51
#1  0x00007f58381b7470 in __GI_abort () at abort.c:89
#2  0x00007f5839d8b70d in g_assertion_message (domain=domain@entry=0x7f584266519f "St", file=file@entry=0x7f584266543b "st/st-bin.c", line=line@entry=186, func=func@entry=0x7f58426655c8 <__func__.68682> "st_bin_dispose", message=message@entry=0x560108e02760 "assertion failed: (priv->child == NULL)")
    at gtestutils.c:2433
#3  0x00007f5839d8b79a in g_assertion_message_expr (domain=domain@entry=0x7f584266519f "St", file=file@entry=0x7f584266543b "st/st-bin.c", line=line@entry=186, func=func@entry=0x7f58426655c8 <__func__.68682> "st_bin_dispose", expr=expr@entry=0x7f5842665427 "priv->child == NULL") at gtestutils.c:2456
#4  0x00007f584262adac in st_bin_dispose (gobject=0x560105e0b7d0 [StButton])
    at st/st-bin.c:186
#5  0x00007f583a04386c in g_object_run_dispose (object=0x560105e0b7d0 [StButton]) at gobject.c:1084
#6  0x00007f583d7f3486 in clutter_actor_destroy (self=0x560105e0b7d0 [StButton]) at clutter-actor.c:8585
#7  0x00007f5836e2ebde in ffi_call_unix64 () at ../src/x86/unix64.S:76
#8  0x00007f5836e2e54f in ffi_call (cif=cif@entry=0x560104a77a58, fn=<optimized out>, rvalue=<optimized out>, 
    rvalue@entry=0x7ffe8ea8ba28, avalue=avalue@entry=0x7ffe8ea8b910)
    at ../src/x86/ffi64.c:525
#9  0x00007f584152070c in gjs_invoke_c_function(JSContext*, Function*, JS::HandleObject, JS::HandleValueArray const&, mozilla::Maybe<JS::MutableHandle<JS::Value> >&, GIArgument*) (
    context=context@entry=0x560103125fb0, function=function@entry=0x560104a77a40, obj=obj@entry=..., args=..., js_rval=..., r_value=r_value@entry=0x0)
    at gi/function.cpp:1021
#10 0x00007f5841521eb6 in function_call(JSContext*, unsigned int, JS::Value*) (context=0x560103125fb0, js_argc=0, vp=0x7ffe8ea8bdb8) at gi/function.cpp:1340
#11 0x00007f5842b02f85 in  ()
#12 0x00007ffe8ea8be58 in  ()
#13 0x00007ffe8ea8bd90 in  ()
#14 0x0000000000000000 in  ()

Comment 2 Georg Sauthoff 2017-07-29 12:13:57 UTC
Related messages in the journal - just before the crash:

Jul 29 13:48:47 example.org gnome-shell[2303]: Allocating size to ShellEmbeddedWindow 0x56010980e3e0 without calling gtk_widget_get_preferred_width/height(). How does the code know the size to allocate?
Jul 29 13:48:48 example.org gnome-shell[2303]: Attempting to remove actor of type 'ShellTrayIcon' from group of class 'StButton', but the container is not the actor's parent.
Jul 29 13:48:48 example.org gnome-shell[2303]: Attempting to add actor of type 'ShellTrayIcon' to a container of type 'ShellGenericContainer', but the actor has already a parent of type 'ShellGenericContainer'.
Jul 29 13:48:48 example.org gnome-shell[2303]: Attempting to remove actor of type 'ShellTrayIcon' from group of class 'StButton', but the container is not the actor's parent.

Last 2 lines repeated 14 times.

Jul 29 13:48:48 example.org gnome-shell[2303]: gsignal.c:2641: instance '0x560103a4ca00' has no handler with id '349112'

Last line repeated 15 times.

Jul 29 13:48:48 example.org audit[2303]: ANOM_ABEND auid=1000 uid=1000 gid=1000 ses=2 subj=unconfined_u:unconfined_r:unconfined_t:s0-s0:c0.c1023 pid=2303 comm="gnome-shell" exe="/usr/bin/gnome-shell" sig=6 res=1
Jul 29 13:48:48 example.org gnome-shell[2303]: gsignal.c:2641: instance '0x560103a4ca00' has no handler with id '349112'
Jul 29 13:48:48 example.org org.gnome.Shell.desktop[2303]: **
Jul 29 13:48:48 example.org org.gnome.Shell.desktop[2303]: St:ERROR:st/st-bin.c:186:st_bin_dispose: assertion failed: (priv->child == NULL)
Jul 29 13:48:48 example.org gnome-shell[2303]: gsignal.c:2641: instance '0x560103a4ca00' has no handler with id '349112'

Last line repeated 12 times.

Jul 29 13:48:48 example.org systemd[1]: Created slice system-systemd\x2dcoredump.slice.

Comment 3 Fedora End Of Life 2018-05-03 08:39:42 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2018-05-29 12:04:36 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.